PDA

View Full Version : Minimum Requirments


{GF}lead-menace
03-09-2008, 03:02 PM
For the BBO 1.8 server, does anybody have them, that is if there is any?